%define libname %mklibname spreadsheet %version
%define develname %mklibname -d spreadsheet
%define goffice %(rpm -q --queryformat %%{VERSION} goffice)

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name: gnumeric
Summary: A full-featured spreadsheet for GNOME
Version: 1.12.9
Release: %mkrel 1
License: GPLv2+
Group: Office/Spreadsheet
Source0: http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1: gnumeric-1.9.17-format-strings.patch
# (fc) 1.9.3-4mdv fix CVE-2009-0318
Patch5: gnumeric-1.8.2-CVE-2009-0318-rh.patch
URL:http://www.gnome.org/projects/gnumeric/
Requires: %libname = %version
BuildRequires: pkgconfig(glib-2.0) >= 2.28.0
BuildRequires: pkgconfig(gmodule-2.0) >= 2.28.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires: pkgconfig(gthread-2.0) >= 2.28.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires: pkgconfig(libgoffice-0.10) >= 0.10.0
BuildRequires: pkgconfig(libgsf-1) >= 1.14.18
BuildRequires: pkgconfig(libxml-2.0) >= 2.4.12
BuildRequires: pkgconfig(pango) >= 1.24.0
BuildRequires: pkgconfig(pangocairo) >= 1.24.0
BuildRequires: pkgconfig(pxlib) >= 0.4.0
BuildRequires: pkgconfig(pygobject-2.0) >= 2.12.0
BuildRequires: perl-devel
BuildRequires:  scrollkeeper
BuildRequires:  intltool
BuildRequires:	gettext-devel
BuildRequires:  desktop-file-utils

%description
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).


%package -n %libname
Summary: Spreadsheet library from Gnumeric
Group: System/Libraries

%description -n %libname
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).

%package -n %develname
Summary: Spreadsheet library from Gnumeric - development files
Group: Development/C
Requires: %libname = %version
Provides: libspreadsheet-devel = %version-%release
Provides: %{name}-devel = %version-%release
Obsoletes: %{name}-devel


%description -n %develname
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --enable-ssindex
%make

%install
%makeinstall_std
rm -vf %buildroot%_datadir/%name/%version/perl/*/auto/Gnumeric/.packlist
rm -rf %buildroot/var

find %buildroot -name '*.la' -delete

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Science" \
  --remove-category="Math" \
  --remove-category="Application" \
  --remove-mime-type="zz-application/zz-winassoc-xls" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --dir %buildroot%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS BUGS README
%{_bindir}/*
%{_libdir}/goffice/*/plugins/gnumeric
%{_libdir}/gnumeric
%{_datadir}/gnumeric
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%_datadir/icons/hicolor/*/apps/gnumeric*
%{_mandir}/man1/*
%dir %{_datadir}/omf/gnumeric
%{_datadir}/omf/gnumeric/gnumeric-C.omf
%_datadir/glib-2.0/schemas/org.gnome.gnumeric*.xml
%{_datadir}/appdata/%{name}.appdata.xml

%files -n %libname
%_libdir/libspreadsheet-%version.so

%files -n %develname
%_libdir/libspreadsheet.so
%_libdir/pkgconfig/*.pc
%_includedir/libspreadsheet-*


%changelog
* Sat Jan 25 2014 philippem <philippem> 1.12.9-1.mga3
+ Revision: 568193
- Upadte to 1.12.9, fix CVE-2013-6836 (mga#12294)

* Fri Jan 18 2013 fwang <fwang> 1.12.0-4.mga3
+ Revision: 389274
- disable gda 4.0 req

* Sat Jan 12 2013 umeabot <umeabot> 1.12.0-3.mga3
+ Revision: 352364
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 1.12.0-2.mga3
+ Revision: 339180
- patch6: list testcases in test/Makefile.am to fix build with automake 1.13

* Wed Dec 19 2012 fwang <fwang> 1.12.0-1.mga3
+ Revision: 332752
- bump req

  + ovitters <ovitters>
    - new version 1.12.0

* Sat Nov 17 2012 ovitters <ovitters> 1.11.90-1.mga3
+ Revision: 319029
- new version 1.11.90

* Thu Nov 08 2012 fwang <fwang> 1.11.6-2.mga3
+ Revision: 316369
- update rpm group

* Fri Sep 07 2012 fwang <fwang> 1.11.6-1.mga3
+ Revision: 289065
- bump goffice req

  + ovitters <ovitters>
    - new version 1.11.6

* Mon Jul 16 2012 ovitters <ovitters> 1.11.5-1.mga3
+ Revision: 271173
- new version 1.11.5

* Tue Jun 26 2012 fwang <fwang> 1.11.4-1.mga3
+ Revision: 263803
- update br

  + ovitters <ovitters>
    - new version 1.11.4

* Sun Apr 22 2012 ovitters <ovitters> 1.11.3-1.mga2
+ Revision: 232494
- new version 1.11.3
- fix source url

  + fwang <fwang>
    - drop unused switch

* Sat Mar 03 2012 fwang <fwang> 1.11.2-1.mga2
+ Revision: 217092
- update br
- br gettex
- new version 1.11.2
- new version 1.11.2

* Mon Nov 28 2011 fwang <fwang> 1.11.1-1.mga2
+ Revision: 173517
- bump go req
- new version 1.11.1

* Sat Nov 26 2011 fwang <fwang> 1.11.0-1.mga2
+ Revision: 171999
- cleanup spec file
- add embedder from git
- new version 1.11.0

* Wed Sep 21 2011 fwang <fwang> 1.10.17-2.mga2
+ Revision: 146274
- drop .la files
- br perl-devel
- new version 1.10.17

* Fri Jun 24 2011 cjw <cjw> 1.10.16-1.mga2
+ Revision: 113183
- patch6: fix build

  + dmorgan <dmorgan>
    - Rebuild against new goffice

  + tmb <tmb>
    - rebuild for goffice 0.8.16

  + fwang <fwang>
    - new version 1.10.16

* Sun May 15 2011 pterjan <pterjan> 1.10.14-2.mga1
+ Revision: 98929
- Rebuild for fixed find-requires

* Fri Apr 15 2011 dams <dams> 1.10.14-1.mga1
+ Revision: 85553
- update to 1.10.14

* Thu Apr 14 2011 dams <dams> 1.10.13-2.mga1
+ Revision: 85215
+ rebuild (emptylog)

* Thu Feb 24 2011 ennael <ennael> 1.10.13-1.mga1
+ Revision: 59114
- clean spec file
- imported package gnumeric

